## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanQNameByReference Class Reference

Inheritance diagram for XalanQNameByReference:

[legend]
Collaboration diagram for XalanQNameByReference:

[legend]
List of all members.

## Public Member Functions

- XalanQNameByReference ()
    Construct an empty XalanQNameByReference.
- XalanQNameByReference (const XalanDOMString &theNamespace, const XalanDOMString &theLocalPart)
    Construct a XalanQNameByReference, with the supplied namespace and local part.
- XalanQNameByReference (const XalanDOMString &theLocalPart)
    Construct a XalanQNameByReference, with the supplied local part.
- XalanQNameByReference (const XalanQName &theQName)
    Construct a XalanQNameByReference, from the supplied XalanQName.
- virtual ~XalanQNameByReference ()
- virtual const XalanDOMString & getLocalPart () const
    Retrieve the local part of qualified name.
- void setLocalPart (const XalanDOMString &theLocalPart)
    Set the local part of qualified name.
- virtual const XalanDOMString & getNamespace () const
    Retrieve the namespace of qualified name.
- void setNamespace (const XalanDOMString &theNamespace)
    Set the Namespace URI of qualified name.
- void clear ()
    Clear the instance.

## Constructor & Destructor Documentation

XalanQNameByReference::XalanQNameByReference | ( |  | ) | `[explicit]`

| Construct an empty XalanQNameByReference.

XalanQNameByReference::XalanQNameByReference | ( | const XalanDOMString & | theNamespace,
|  | const XalanDOMString & | theLocalPart
| ) |

  | Construct a XalanQNameByReference, with the supplied namespace and local part. The instance keeps only a _reference_ to the string, to avoid making a copy. Parameters:
  theNamespace | namespace string
  theLocalPart | local part string

XalanQNameByReference::XalanQNameByReference | ( | const XalanDOMString & | theLocalPart | ) |

  | Construct a XalanQNameByReference, with the supplied local part. The instance keeps only a _reference_ to the string, to avoid making a copy. Parameters:
  theLocalPart | local part string

XalanQNameByReference::XalanQNameByReference | ( | const XalanQName & | theQName | ) |

  | Construct a XalanQNameByReference, from the supplied XalanQName. The instance keeps only a _reference_ to the string, to avoid making a copy. Parameters:
  theQName | The source QName

virtual XalanQNameByReference::~XalanQNameByReference | ( |  | ) | `[virtual]`

## Member Function Documentation

void XalanQNameByReference::clear | ( |  | ) |

| Clear the instance.

virtual const XalanDOMString& XalanQNameByReference::getLocalPart | ( |  | ) | const`[virtual]`

| Retrieve the local part of qualified name. Returns: local part string Implements XalanQName.

virtual const XalanDOMString& XalanQNameByReference::getNamespace | ( |  | ) | const`[virtual]`

| Retrieve the namespace of qualified name. Returns: namespace string Implements XalanQName.

void XalanQNameByReference::setLocalPart | ( | const XalanDOMString & | theLocalPart | ) |

  | Set the local part of qualified name. Parameters:
  theLocalPart | local part string

void XalanQNameByReference::setNamespace | ( | const XalanDOMString & | theNamespace | ) |

  | Set the Namespace URI of qualified name. Parameters:
  theLocalPart | local part string

The documentation for this class was generated from the following file:

- XalanQNameByReference.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.